Skip to main content
GET
/
v1
/
property
/
{property_id}
/
permits
List permits for a resolved property ID
curl --request GET \
  --url https://api.homelogs.io/v1/property/{property_id}/permits \
  --header 'X-API-Key: <api-key>'
{
  "property_id": "<string>",
  "count": 1,
  "permits": [
    {
      "permit_id": "<string>",
      "permit_type": "<string>",
      "work_type": "roof",
      "status": "<string>",
      "issue_date": "2023-12-25",
      "completion_date": "2023-12-25",
      "contractor": "<string>",
      "valuation": 123,
      "raw_description": "<string>",
      "source": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

property_id
string
required

Deterministic property identity token

Pattern: ^prop_[0-9a-f]{32}$

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string

Opaque cursor token returned from the previous page

Response

Permit history page

property_id
string
required
Pattern: ^prop_[0-9a-f]{32}$
count
integer
required
Required range: x >= 0
permits
object[]
required
next_cursor
string | null
required